package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsDrugReport;
import com.fs.his.param.FsDrugReportParam;
import com.fs.his.vo.FsDrugReportListVO;
import com.fs.his.vo.FsDrugReportVO;
import com.fs.his.param.FsDrugReportListDParam;
import com.fs.his.param.FsDrugReportListUParam;
import com.fs.his.vo.FsDrugReportDVO;
import com.fs.his.vo.FsDrugReportListDVO;
import com.fs.his.vo.FsDrugReportListUVO;
import com.fs.his.vo.FsDrugReportUVO;

/**
 * 用药报告Service接口
 *
 * @author fs
 * @date 2024-04-23
 */
public interface IFsDrugReportService
{
    /**
     * 查询用药报告
     *
     * @param reportId 用药报告主键
     * @return 用药报告
     */
    public FsDrugReport selectFsDrugReportByReportId(Long reportId);

    /**
     * 查询用药报告列表
     *
     * @param fsDrugReport 用药报告
     * @return 用药报告集合
     */
    public List<FsDrugReport> selectFsDrugReportList(FsDrugReport fsDrugReport);

    /**
     * 新增用药报告
     *
     * @param fsDrugReport 用药报告
     * @return 结果
     */
    public int insertFsDrugReport(FsDrugReport fsDrugReport);

    /**
     * 修改用药报告
     *
     * @param fsDrugReport 用药报告
     * @return 结果
     */
    public int updateFsDrugReport(FsDrugReport fsDrugReport);

    /**
     * 批量删除用药报告
     *
     * @param reportIds 需要删除的用药报告主键集合
     * @return 结果
     */
    public int deleteFsDrugReportByReportIds(Long[] reportIds);

    /**
     * 删除用药报告信息
     *
     * @param reportId 用药报告主键
     * @return 结果
     */
    public int deleteFsDrugReportByReportId(Long reportId);

    List<FsDrugReportListDVO> selectFsDrugReportListDVO(FsDrugReportListDParam param);

    FsDrugReportDVO selectFsDrugReportDVOByReportId(Long reportId);

    List<FsDrugReportListUVO> selectFsDrugReportListUVO(FsDrugReportListUParam param);

    FsDrugReportUVO selectFsDrugReportUVOByReportId(Long reportId);

    List<FsDrugReportListVO> selectFsDrugReportListVO(FsDrugReportParam fsDrugReport);

    FsDrugReportVO selectFsDrugReportByReportIdVO(Long reportId);
}
